Piloterr

Autodoc Search

Autodoc Search via API.

Credit cost: 2 credits per call

GET
/v2/autodoc/search

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Query Parameters

query*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.piloterr.com/v2/autodoc/search?query=string"
[
  {
    "name": "Example",
    "value": {
      "results": [
        {
          "name": "Turbolader MOTAIR DZ108144 Abgasturbolader, mit Öltestpapier-Satz, Turbo NEU",
          "price": 3928.41,
          "seller": "AUTODOC",
          "brand_no": "10547",
          "discount": null,
          "360_photo": null,
          "reference": "336866",
          "seller_id": 485,
          "product_id": "9586506",
          "product_url": "https://www.auto-doc.at/motair/9586506",
          "availability": "Auf Lager",
          "generic_name": "Turbolader",
          "product_image": "https://cdn.autodoc.de/thumb?id=9586506&m=1&n=0&lng=de&rev=94077874",
          "reviews_count": 0,
          "original_price": null
        },
        {
          "name": "Reparatursatz, Lader MOTAIR DZ108144",
          "price": 926.62,
          "seller": "AUTODOC",
          "brand_no": "10547",
          "discount": null,
          "360_photo": null,
          "reference": "455066",
          "seller_id": 485,
          "product_id": "18991341",
          "product_url": "https://www.auto-doc.at/motair/18991341",
          "availability": "Auf Lager (Verbleibende Artikel: 2)",
          "generic_name": "Reparatursatz, Lader",
          "product_image": "https://cdn.autodoc.de/thumb?id=18991341&m=1&n=0&lng=de&rev=94077874",
          "reviews_count": 0,
          "original_price": null
        },
        {
          "name": "Turbolader BorgWarner DZ108144 Turbolader/Ladeluftkühler, ohne Anbau-/Befestigungsmaterial",
          "price": 1650.67,
          "seller": "AUTODOC",
          "brand_no": "10257",
          "discount": null,
          "360_photo": null,
          "reference": "13009900009",
          "seller_id": 485,
          "product_id": "15103407",
          "product_url": "https://www.auto-doc.at/borgwarner/15103407",
          "availability": "Derzeit nicht auf Lager",
          "generic_name": "Turbolader",
          "product_image": "https://cdn.autodoc.de/thumb?id=15103407&m=1&n=0&lng=de&rev=94077874",
          "reviews_count": 0,
          "original_price": null
        },
        {
          "name": "Turbolader BE TURBO DZ108144 Abgasturbolader",
          "price": 2108.64,
          "seller": "AUTODOC",
          "brand_no": "128",
          "discount": null,
          "360_photo": null,
          "reference": "129533RED",
          "seller_id": 485,
          "product_id": "15259367",
          "product_url": "https://lkwteile.auto-doc.at/be-turbo/15259367",
          "availability": "Derzeit nicht auf Lager",
          "generic_name": "Turbolader",
          "product_image": "https://cdn.autodoc.de/thumb?id=15259367&m=1&n=0&lng=de&rev=94077874",
          "reviews_count": 0,
          "original_price": null
        },
        {
          "name": "Turbolader ALANKO DZ108144 Abgasturbolader",
          "price": 2758.78,
          "seller": "AUTODOC",
          "brand_no": "10912",
          "discount": 43,
          "360_photo": "https://media.autodoc.de/360_photos/19943807",
          "reference": "11902064",
          "seller_id": 485,
          "product_id": "19943807",
          "product_url": "https://www.auto-doc.at/alanko/19943807",
          "availability": "Derzeit nicht auf Lager",
          "generic_name": "Turbolader",
          "product_image": "https://media.autodoc.de/360_photos/19943807/preview.jpg",
          "reviews_count": 0,
          "original_price": null
        },
        {
          "name": "Turbolader BE TURBO DZ108144 Abgasturbolader",
          "price": 2936.94,
          "seller": "AUTODOC",
          "brand_no": "128",
          "discount": null,
          "360_photo": null,
          "reference": "129533",
          "seller_id": 485,
          "product_id": "7551969",
          "product_url": "https://lkwteile.auto-doc.at/be-turbo/7551969",
          "availability": "Derzeit nicht auf Lager",
          "generic_name": "Turbolader",
          "product_image": "https://cdn.autodoc.de/thumb?id=7551969&m=1&n=0&lng=de&rev=94077874",
          "reviews_count": 0,
          "original_price": null
        },
        {
          "name": "Turbolader BorgWarner DZ108144 Turbolader/Ladeluftkühler, ohne Anbau-/Befestigungsmaterial",
          "price": 2968.28,
          "seller": "AUTODOC",
          "brand_no": "10257",
          "discount": null,
          "360_photo": null,
          "reference": "178737",
          "seller_id": 485,
          "product_id": "15300207",
          "product_url": "https://www.auto-doc.at/borgwarner/15300207",
          "availability": "Derzeit nicht auf Lager",
          "generic_name": "Turbolader",
          "product_image": "https://cdn.autodoc.de/thumb?id=15300207&m=1&n=0&lng=de&rev=94077874",
          "reviews_count": 0,
          "original_price": null
        }
      ],
      "pagination": {
        "next": null,
        "current": 1,
        "other_pages": [],
        "has_next_page": false
      }
    }
  }
]
{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}